Client server backups
Toggle backup lock
Toggles the locked status of a backup. A locked backup cannot be deleted by the automatic backup rotation.
POST
/api/client/servers/{server}/backups/{backup}/lockAuthorization
ClientToken AuthorizationBearer <token>
Client API key (generated at /account/api)
In: header
Path Parameters
server*string
Server identifier (short 8-character ID)
backup*string
Backup UUID
Response Body
application/json
curl -X POST "https://example.com/api/client/servers/1a7ce997/backups/904df120-a66f-4375-a4ae-40eedbeae630/lock"{ "object": "backup", "attributes": { "uuid": "b25bd2e3-4fbf-4ef3-8590-ad451364ee1c", "is_successful": true, "is_locked": true, "name": "backup", "ignored_files": [], "checksum": "sha1:898e2b835849de8243616c104f4edf21160a79ef", "bytes": 538508593, "created_at": "2025-04-27T21:35:40+02:00", "completed_at": "2025-04-27T21:36:03+02:00" }}